Home | History | Annotate | Download | only in etc

Lines Matching refs:dex2oat

23 DEX2OAT=""
78 # The normal dex2oat timeout.
80 # The *hard* timeout where we really start trying to kill the dex2oat.
89 # build step (e.g. dex2oat) were finished writing.
102 elif [ "x$1" = "x--dex2oat-rt-timeout" ]; then
105 echo "$0 missing argument to --dex2oat-rt-timeout" 1>&2
110 elif [ "x$1" = "x--dex2oat-timeout" ]; then
113 echo "$0 missing argument to --dex2oat-timeout" 1>&2
173 elif [ "x$1" = "x--no-dex2oat" ]; then
174 DEX2OAT="-Xcompiler:${FALSE_BIN}"
564 # Disable image dex2oat
565 FLAGS="${FLAGS} -Xnoimage-dex2oat"
569 # pass a non-existent image - compilation will fail as dex2oat is disallowed.
722 dex2oat_binary=dex2oat
740 # Watchdog timeout is in milliseconds so add 3 '0's to the dex2oat timeout.
787 $DEX2OAT \
845 # Current default installation is dalvikvm 64bits and dex2oat 32bits,
901 # By default, and for prebuild dex2oat, we are interested in errors being logged. In dev mode
965 $dex2oat_cmdline || { echo "Dex2oat failed." >&2 ; exit 2; }
966 $dm_cmdline || { echo "Dex2oat failed." >&2 ; exit 2; }
967 $vdex_cmdline || { echo "Dex2oat failed." >&2 ; exit 2; }
971 # For running, we must turn off logging when dex2oat or patchoat are missing. Otherwise we use
977 # All tests would log the error of failing dex2oat/patchoat. Be silent here and only